############################################################################
# Constraints for the KRM-3Z20 Module                                      #
# In order to use this, the Top Level Module needs the following ports:    #
#                                                                          #
#    X1_1 : inout iogroup_t;                                               #
#    X1_2 : inout iogroup_t;                                               #
#    X2_1 : inout iogroup_t;                                               #
#    X2_2 : inout iogroup_t;                                               #      
#                                                                          #
#    LED : out STD_LOGIC_VECTOR (3 downto 0);                              #
#                                                                          #
# The types iogroup_t is defined in the carrier                            # 
# package (e.g. krm3500_pkg.vhd)                                           #
#                                                                          #
#                                                                          #
############################################################################


############################################################################
# I/O STANDARDS and Location Constraints                                   #
############################################################################

#NET "z7_system_inst/processing_system7_0/PS_PORB" IOSTANDARD = LVCMOS33;
#NET "z7_system_inst/processing_system7_0/PS_PORB" DRIVE = 8;
#NET "z7_system_inst/processing_system7_0/PS_PORB" SLEW = slow;

#NET "z7_system_inst/processing_system7_0/PS_SRSTB" IOSTANDARD = LVCMOS33;
#NET "z7_system_inst/processing_system7_0/PS_SRSTB" DRIVE = 8;
#NET "z7_system_inst/processing_system7_0/PS_SRSTB" SLEW = slow;

#NET "z7_system_inst/processing_system7_0/PS_CLK" IOSTANDARD = LVCMOS33;
#NET "z7_system_inst/processing_system7_0/PS_CLK" DRIVE = 8;
#NET "z7_system_inst/processing_system7_0/PS_CLK" SLEW = slow;

#############################################################################
# On-Board Connections                                                      #
#############################################################################

# USR_LED_1
set_property PACKAGE_PIN R15 		[get_ports {LED[0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[0]}]
set_property DRIVE 8 				[get_ports {LED[0]}]
set_property SLEW SLOW 				[get_ports {LED[0]}]

# USR_LED_2
set_property PACKAGE_PIN H15 		[get_ports {LED[1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[1]}]
set_property DRIVE 8 				[get_ports {LED[1]}]
set_property SLEW SLOW 				[get_ports {LED[1]}]

# USR_LED_3
set_property PACKAGE_PIN H18 		[get_ports {LED[2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[2]}]
set_property DRIVE 8 				[get_ports {LED[2]}]
set_property SLEW SLOW 				[get_ports {LED[2]}]

# USR_LED_4
set_property PACKAGE_PIN H17 		[get_ports {LED[3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[3]}]
set_property DRIVE 8 				[get_ports {LED[3]}]
set_property SLEW SLOW 				[get_ports {LED[3]}]

#############################################################################
# X1_1 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN T21 		[get_ports {X1_1[t0][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][0]}]

set_property PACKAGE_PIN U21 		[get_ports {X1_1[t0][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][1]}]

set_property PACKAGE_PIN T22 		[get_ports {X1_1[t0][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][2]}]

set_property PACKAGE_PIN U22 		[get_ports {X1_1[t0][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][3]}]

set_property PACKAGE_PIN V22 		[get_ports {X1_1[t0][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][4]}]

set_property PACKAGE_PIN W22 		[get_ports {X1_1[t0][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][5]}]

set_property PACKAGE_PIN W20 		[get_ports {X1_1[t0][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][6]}]

set_property PACKAGE_PIN W21 		[get_ports {X1_1[t0][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][7]}]

set_property PACKAGE_PIN U20 		[get_ports {X1_1[t0][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][8]}]

set_property PACKAGE_PIN V20 		[get_ports {X1_1[t0][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][9]}]

set_property PACKAGE_PIN V18 		[get_ports {X1_1[t0][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][10]}]

set_property PACKAGE_PIN V19 		[get_ports {X1_1[t0][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN AA22 		[get_ports {X1_1[t1][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][0]}]

set_property PACKAGE_PIN AB22 		[get_ports {X1_1[t1][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][1]}]

set_property PACKAGE_PIN AA21 		[get_ports {X1_1[t1][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][2]}]

set_property PACKAGE_PIN AB21 		[get_ports {X1_1[t1][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][3]}]

set_property PACKAGE_PIN Y20 		[get_ports {X1_1[t1][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][4]}]

set_property PACKAGE_PIN Y21 		[get_ports {X1_1[t1][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][5]}]

set_property PACKAGE_PIN AB19 		[get_ports {X1_1[t1][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][6]}]

set_property PACKAGE_PIN AB20 		[get_ports {X1_1[t1][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][7]}]

set_property PACKAGE_PIN Y19 		[get_ports {X1_1[t1][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][8]}]

set_property PACKAGE_PIN AA19 		[get_ports {X1_1[t1][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][9]}]

set_property PACKAGE_PIN Y18 		[get_ports {X1_1[t1][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][10]}]

set_property PACKAGE_PIN AA18 		[get_ports {X1_1[t1][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN W17 		[get_ports {X1_1[t2][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][0]}]

set_property PACKAGE_PIN W18 		[get_ports {X1_1[t2][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][1]}]

set_property PACKAGE_PIN W16 		[get_ports {X1_1[t2][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][2]}]

set_property PACKAGE_PIN Y16 		[get_ports {X1_1[t2][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][3]}]

set_property PACKAGE_PIN U15 		[get_ports {X1_1[t2][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][4]}]

set_property PACKAGE_PIN U16 		[get_ports {X1_1[t2][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][5]}]

set_property PACKAGE_PIN U17 		[get_ports {X1_1[t2][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][6]}]

set_property PACKAGE_PIN V17 		[get_ports {X1_1[t2][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][7]}]

set_property PACKAGE_PIN AA17 		[get_ports {X1_1[t2][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][8]}]

set_property PACKAGE_PIN AB17 		[get_ports {X1_1[t2][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][9]}]

set_property PACKAGE_PIN AA16 		[get_ports {X1_1[t2][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][10]}]

set_property PACKAGE_PIN AB16 		[get_ports {X1_1[t2][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN V14 		[get_ports {X1_1[t3][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][0]}]

set_property PACKAGE_PIN V15 		[get_ports {X1_1[t3][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][1]}]

set_property PACKAGE_PIN V13 		[get_ports {X1_1[t3][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][2]}]

set_property PACKAGE_PIN W13 		[get_ports {X1_1[t3][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][3]}]

set_property PACKAGE_PIN W15 		[get_ports {X1_1[t3][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][4]}]

set_property PACKAGE_PIN Y15 		[get_ports {X1_1[t3][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][5]}]

set_property PACKAGE_PIN Y14 		[get_ports {X1_1[t3][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][6]}]

set_property PACKAGE_PIN AA14 		[get_ports {X1_1[t3][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][7]}]

set_property PACKAGE_PIN Y13 		[get_ports {X1_1[t3][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][8]}]

set_property PACKAGE_PIN AA13 		[get_ports {X1_1[t3][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][9]}]

set_property PACKAGE_PIN AB14 		[get_ports {X1_1[t3][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][10]}]

set_property PACKAGE_PIN AB15 		[get_ports {X1_1[t3][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][11]}]

#############################################################################
# X1_2 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN V10 		[get_ports {X1_2[t0][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][0]}]

set_property PACKAGE_PIN V9 		[get_ports {X1_2[t0][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][1]}]

set_property PACKAGE_PIN V8 		[get_ports {X1_2[t0][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][2]}]

set_property PACKAGE_PIN W8 		[get_ports {X1_2[t0][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][3]}]

set_property PACKAGE_PIN W11 		[get_ports {X1_2[t0][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][4]}]

set_property PACKAGE_PIN W10 		[get_ports {X1_2[t0][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][5]}]

set_property PACKAGE_PIN V12 		[get_ports {X1_2[t0][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][6]}]

set_property PACKAGE_PIN W12 		[get_ports {X1_2[t0][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][7]}]

set_property PACKAGE_PIN U12 		[get_ports {X1_2[t0][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][8]}]

set_property PACKAGE_PIN U11 		[get_ports {X1_2[t0][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][9]}]

set_property PACKAGE_PIN U10 		[get_ports {X1_2[t0][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][10]}]

set_property PACKAGE_PIN U9 		[get_ports {X1_2[t0][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN AA12 		[get_ports {X1_2[t1][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][0]}]

set_property PACKAGE_PIN AB12 		[get_ports {X1_2[t1][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][1]}]

set_property PACKAGE_PIN AA11 		[get_ports {X1_2[t1][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][2]}]

set_property PACKAGE_PIN AB11 		[get_ports {X1_2[t1][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][3]}]

set_property PACKAGE_PIN AB10 		[get_ports {X1_2[t1][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][4]}]

set_property PACKAGE_PIN AB9 		[get_ports {X1_2[t1][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][5]}]

set_property PACKAGE_PIN Y11 		[get_ports {X1_2[t1][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][6]}]

set_property PACKAGE_PIN Y10 		[get_ports {X1_2[t1][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][7]}]

set_property PACKAGE_PIN AA9 		[get_ports {X1_2[t1][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][8]}]

set_property PACKAGE_PIN AA8 		[get_ports {X1_2[t1][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][9]}]

set_property PACKAGE_PIN Y9 		[get_ports {X1_2[t1][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][10]}]

set_property PACKAGE_PIN Y8 		[get_ports {X1_2[t1][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN Y6 		[get_ports {X1_2[t2][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][0]}]

set_property PACKAGE_PIN Y5 		[get_ports {X1_2[t2][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][1]}]

set_property PACKAGE_PIN AA7 		[get_ports {X1_2[t2][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][2]}]

set_property PACKAGE_PIN AA6 		[get_ports {X1_2[t2][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][3]}]

set_property PACKAGE_PIN AB2 		[get_ports {X1_2[t2][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][4]}]

set_property PACKAGE_PIN AB1 		[get_ports {X1_2[t2][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][5]}]

set_property PACKAGE_PIN AB5 		[get_ports {X1_2[t2][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][6]}]

set_property PACKAGE_PIN AB4 		[get_ports {X1_2[t2][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][7]}]

set_property PACKAGE_PIN AB7 		[get_ports {X1_2[t2][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][8]}]

set_property PACKAGE_PIN AB6 		[get_ports {X1_2[t2][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][9]}]

set_property PACKAGE_PIN Y4 		[get_ports {X1_2[t2][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][10]}]

set_property PACKAGE_PIN AA4 		[get_ports {X1_2[t2][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN R6 		[get_ports {X1_2[t3][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][0]}]

set_property PACKAGE_PIN T6 		[get_ports {X1_2[t3][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][1]}]

set_property PACKAGE_PIN T4 		[get_ports {X1_2[t3][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][2]}]

set_property PACKAGE_PIN U4 		[get_ports {X1_2[t3][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][3]}]

set_property PACKAGE_PIN V5 		[get_ports {X1_2[t3][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][4]}]

set_property PACKAGE_PIN V4 		[get_ports {X1_2[t3][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][5]}]

set_property PACKAGE_PIN U6 		[get_ports {X1_2[t3][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][6]}]

set_property PACKAGE_PIN U5 		[get_ports {X1_2[t3][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][7]}]

set_property PACKAGE_PIN V7 		[get_ports {X1_2[t3][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][8]}]

set_property PACKAGE_PIN W7 		[get_ports {X1_2[t3][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][9]}]

set_property PACKAGE_PIN W6 		[get_ports {X1_2[t3][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][10]}]

set_property PACKAGE_PIN W5 		[get_ports {X1_2[t3][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][11]}]

#############################################################################
# X1_MGT Connections                                                        #
#############################################################################
# KRM3-ZQ20 Module does not support MGT pins!                               #
#############################################################################



#############################################################################
# The krm_3z20 module supports both LVCMOS18 and LVCMOS33 on the X2_1 and   #
# X2_2 I/O groups. However it is recommended to use LVCMOS18 for design     #
# forward compatibility with other modules.                                 #
#############################################################################

#############################################################################
# X2_1 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN J15 		[get_ports {X2_1[t0][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][0]}]

set_property PACKAGE_PIN K15 		[get_ports {X2_1[t0][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][1]}]

set_property PACKAGE_PIN J16 		[get_ports {X2_1[t0][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][2]}]

set_property PACKAGE_PIN J17 		[get_ports {X2_1[t0][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][3]}]

set_property PACKAGE_PIN K16 		[get_ports {X2_1[t0][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][4]}]

set_property PACKAGE_PIN L16 		[get_ports {X2_1[t0][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][5]}]

set_property PACKAGE_PIN L17 		[get_ports {X2_1[t0][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][6]}]

set_property PACKAGE_PIN M17 		[get_ports {X2_1[t0][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][7]}]

set_property PACKAGE_PIN N17 		[get_ports {X2_1[t0][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][8]}]

set_property PACKAGE_PIN N18 		[get_ports {X2_1[t0][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][9]}]

set_property PACKAGE_PIN M15 		[get_ports {X2_1[t0][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][10]}]

set_property PACKAGE_PIN M16 		[get_ports {X2_1[t0][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN J18 		[get_ports {X2_1[t1][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][0]}]

set_property PACKAGE_PIN K18 		[get_ports {X2_1[t1][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][1]}]

set_property PACKAGE_PIN J21 		[get_ports {X2_1[t1][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][2]}]

set_property PACKAGE_PIN J22 		[get_ports {X2_1[t1][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][3]}]

set_property PACKAGE_PIN J20 		[get_ports {X2_1[t1][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][4]}]

set_property PACKAGE_PIN K21 		[get_ports {X2_1[t1][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][5]}]

set_property PACKAGE_PIN L21 		[get_ports {X2_1[t1][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][6]}]

set_property PACKAGE_PIN L22 		[get_ports {X2_1[t1][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][7]}]

set_property PACKAGE_PIN K19 		[get_ports {X2_1[t1][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][8]}]

set_property PACKAGE_PIN K20 		[get_ports {X2_1[t1][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][9]}]

set_property PACKAGE_PIN L18 		[get_ports {X2_1[t1][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][10]}]

set_property PACKAGE_PIN L19 		[get_ports {X2_1[t1][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN M19 		[get_ports {X2_1[t2][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][0]}]

set_property PACKAGE_PIN M20 		[get_ports {X2_1[t2][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][1]}]

set_property PACKAGE_PIN N19 		[get_ports {X2_1[t2][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][2]}]

set_property PACKAGE_PIN N20 		[get_ports {X2_1[t2][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][3]}]

set_property PACKAGE_PIN M21 		[get_ports {X2_1[t2][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][4]}]

set_property PACKAGE_PIN M22 		[get_ports {X2_1[t2][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][5]}]

set_property PACKAGE_PIN N22 		[get_ports {X2_1[t2][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][6]}]

set_property PACKAGE_PIN P22 		[get_ports {X2_1[t2][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][7]}]

set_property PACKAGE_PIN R20 		[get_ports {X2_1[t2][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][8]}]

set_property PACKAGE_PIN R21 		[get_ports {X2_1[t2][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][9]}]

set_property PACKAGE_PIN P20 		[get_ports {X2_1[t2][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][10]}]

set_property PACKAGE_PIN P21 		[get_ports {X2_1[t2][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN N15 		[get_ports {X2_1[t3][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][0]}]

set_property PACKAGE_PIN P15 		[get_ports {X2_1[t3][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][1]}]

set_property PACKAGE_PIN P17 		[get_ports {X2_1[t3][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][2]}]

set_property PACKAGE_PIN P18 		[get_ports {X2_1[t3][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][3]}]

set_property PACKAGE_PIN T16 		[get_ports {X2_1[t3][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][4]}]

set_property PACKAGE_PIN T17 		[get_ports {X2_1[t3][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][5]}]

set_property PACKAGE_PIN R19 		[get_ports {X2_1[t3][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][6]}]

set_property PACKAGE_PIN T19 		[get_ports {X2_1[t3][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][7]}]

set_property PACKAGE_PIN R18 		[get_ports {X2_1[t3][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][8]}]

set_property PACKAGE_PIN T18 		[get_ports {X2_1[t3][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][9]}]

set_property PACKAGE_PIN P16 		[get_ports {X2_1[t3][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][10]}]

set_property PACKAGE_PIN R16 		[get_ports {X2_1[t3][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][11]}]

#############################################################################
# X2_2 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN F16 		[get_ports {X2_2[t0][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][0]}]

set_property PACKAGE_PIN E16 		[get_ports {X2_2[t0][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][1]}]

set_property PACKAGE_PIN D16 		[get_ports {X2_2[t0][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][2]}]

set_property PACKAGE_PIN D17 		[get_ports {X2_2[t0][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][3]}]

set_property PACKAGE_PIN E15 		[get_ports {X2_2[t0][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][4]}]

set_property PACKAGE_PIN D15 		[get_ports {X2_2[t0][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][5]}]

set_property PACKAGE_PIN G15 		[get_ports {X2_2[t0][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][6]}]

set_property PACKAGE_PIN G16 		[get_ports {X2_2[t0][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][7]}]

set_property PACKAGE_PIN F18 		[get_ports {X2_2[t0][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][8]}]

set_property PACKAGE_PIN E18 		[get_ports {X2_2[t0][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][9]}]

set_property PACKAGE_PIN G17 		[get_ports {X2_2[t0][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][10]}]

set_property PACKAGE_PIN F17 		[get_ports {X2_2[t0][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN C15 		[get_ports {X2_2[t1][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][0]}]

set_property PACKAGE_PIN B15 		[get_ports {X2_2[t1][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][1]}]

set_property PACKAGE_PIN B16 		[get_ports {X2_2[t1][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][2]}]

set_property PACKAGE_PIN B17 		[get_ports {X2_2[t1][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][3]}]

set_property PACKAGE_PIN A16 		[get_ports {X2_2[t1][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][4]}]

set_property PACKAGE_PIN A17 		[get_ports {X2_2[t1][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][5]}]

set_property PACKAGE_PIN A18 		[get_ports {X2_2[t1][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][6]}]

set_property PACKAGE_PIN A19 		[get_ports {X2_2[t1][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][7]}]

set_property PACKAGE_PIN C17 		[get_ports {X2_2[t1][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][8]}]

set_property PACKAGE_PIN C18 		[get_ports {X2_2[t1][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][9]}]

set_property PACKAGE_PIN D18 		[get_ports {X2_2[t1][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][10]}]

set_property PACKAGE_PIN C19 		[get_ports {X2_2[t1][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN B19 		[get_ports {X2_2[t2][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][0]}]

set_property PACKAGE_PIN B20 		[get_ports {X2_2[t2][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][1]}]

set_property PACKAGE_PIN D20 		[get_ports {X2_2[t2][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][2]}]

set_property PACKAGE_PIN C20 		[get_ports {X2_2[t2][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][3]}]

set_property PACKAGE_PIN A21 		[get_ports {X2_2[t2][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][4]}]

set_property PACKAGE_PIN A22 		[get_ports {X2_2[t2][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][5]}]

set_property PACKAGE_PIN D22 		[get_ports {X2_2[t2][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][6]}]

set_property PACKAGE_PIN C22 		[get_ports {X2_2[t2][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][7]}]

set_property PACKAGE_PIN E21 		[get_ports {X2_2[t2][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][8]}]

set_property PACKAGE_PIN D21 		[get_ports {X2_2[t2][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][9]}]

set_property PACKAGE_PIN B21 		[get_ports {X2_2[t2][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][10]}]

set_property PACKAGE_PIN B22 		[get_ports {X2_2[t2][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN H19 		[get_ports {X2_2[t3][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][0]}]

set_property PACKAGE_PIN H20 		[get_ports {X2_2[t3][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][1]}]

set_property PACKAGE_PIN G19 		[get_ports {X2_2[t3][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][2]}]

set_property PACKAGE_PIN F19 		[get_ports {X2_2[t3][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][3]}]

set_property PACKAGE_PIN E19 		[get_ports {X2_2[t3][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][4]}]

set_property PACKAGE_PIN E20 		[get_ports {X2_2[t3][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][5]}]

set_property PACKAGE_PIN G20 		[get_ports {X2_2[t3][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][6]}]

set_property PACKAGE_PIN G21 		[get_ports {X2_2[t3][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][7]}]

set_property PACKAGE_PIN F21 		[get_ports {X2_2[t3][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][8]}]

set_property PACKAGE_PIN F22 		[get_ports {X2_2[t3][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][9]}]

set_property PACKAGE_PIN H22 		[get_ports {X2_2[t3][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][10]}]

set_property PACKAGE_PIN G22 		[get_ports {X2_2[t3][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][11]}]